Subject: Re: [rrg] Terminology, 2nd pass

From: [email-masked] (Noel Chiappa)
Date: Mon, 30 Mar 2009 13:30:31 -0400 (EDT)

> From: Scott Brim <[email-masked]>

    > But where's the difference? ... The more structure there is in the
    > name, the less work routing has to do. On one end of the spectrum you
    > have a strict source route (or a circuit or a PIP "address").

Go back to Saltzer - or to Shoch, for that matter. There's a _fundamental_
difference between the place you're trying to end up at, and the _path_ you
use to get there.

    > On the other end you have MACs. It's all routing, it's all forwarding,
    > ... but there is a continuum of how much structure there is and how
    > much work you have to do.

Look, step back far enough and _all_ this stuff is just 'stuff used to move
bits around'. [Sarcasm=on] So why don't we throw away _all_ the terminology,
and just call them all 'sumbas'? (Including TCP and HTTP, they have the same
high-level point - if your viewpoint is high-level enough.) [Sarcasm=off]

We're trying to draw distinctions between things that _have significant
fundamental differences_, one that have real consequences in the engineering -
like the one above, between _where_ you want to end up, and the _path_ you use
to get there.

    > it's all "locators" (meaning things used by forwarding)

To most of us, "locator" means 'a _structured_ name for a place in the
topology'.

And, in a very fine irony indeed, we've circled around back to August 1993,
because the _original_ definition of "locator" did _not_ include use "by
[the] forwarding": the term 'locator' was defined _precisely_ to have a term
that meant 'structured name for a place in the topology that is _not_ used by
the forwarding'.

I feel like I'm an extra in "Groundhog Day".

	Noel

---

From: Scott Brim <[email-masked]>
Date: Mon, 30 Mar 2009 16:59:01 -0400

> difference between the place you're trying to end up at, and the _path_ you

I need you to explain your use of words (as opposed to what Saltzer
might have meant)?  Is "the place you're trying to end up at" a point
in the topology where something is attached, or is it the something
itself?

If it's the first then you might call the name of that thing a
locator.  If it's the second, you might call the name of it an
identifier.

What I said, echoing Dow, was that a name used as a locator can have
any amount of structure in it, more or less, and that doesn't change
whether it's a locator or not.  I don't see your point -- which things
are you trying to say are qualitatively different?

And both are separate from "the _path_ you use".  Even in a structured
name, the path is not necessarily implied.  Except in the strictest
cases, the forwarder itself has to make a decision on what path to
take, even with a lot of hints in the name.
 
>     > On the other end you have MACs. It's all routing, it's all
>     > forwarding, ... but there is a continuum of how much structure
>     > there is and how much work you have to do.
> 
> Look, step back far enough and _all_ this stuff is just 'stuff used
> to move bits around'. [Sarcasm=on] So why don't we throw away _all_
> the terminology, and just call them all 'sumbas'? (Including TCP and
> HTTP, they have the same high-level point - if your viewpoint is
> high-level enough.) [Sarcasm=off]

I didn't go anywhere near that far so please justify your
exaggeration?  I'm saying that the degree of structure in the name
does not decide whether it can be called a locator or not.  

> To most of us, "locator" means 'a _structured_ name for a place in the

Does it matter to you how much structure is in the name?

> And, in a very fine irony indeed, we've circled around back to
> August 1993, because the _original_ definition of "locator" did
> _not_ include use "by [the] forwarding": the term 'locator' was
> defined _precisely_ to have a term that meant 'structured name for a
> place in the topology that is _not_ used by the forwarding'.

How was it used then?  What did forwarding use?

It's not 1993 anymore.  If you have useful insights to bring forward
please do, but whether something was used by our ancestors or not
doesn't say a lot about whether it's useful here and now.